<div *ngIf="isDialog">
    <div *ngIf="isLoaded">
        <ion-item lines="full" *ngIf="itemSelected" class="ion-no-padding item-ion-select item-ion-select-dialog"
            [disabled]="disabled">
            <ion-label (click)="openModal()">{{itemSelected[labelAttr]}}</ion-label>
            <ion-icon *ngIf="!(showClear() && !disabled)" (click)="openModal()" slot="end" name="arrow-dropdown">
            </ion-icon>
            <ion-icon *ngIf="showClear() && !disabled" (click)="removeItemSelected()" slot="end" name="close">
            </ion-icon>
        </ion-item>
        <ion-item lines="full" *ngIf="!itemSelected" class="ion-no-padding item-ion-select item-ion-select-dialog"
            (click)="openModal()" [disabled]="disabled">
            <ion-label color="medium">{{placeholder}}</ion-label>
            <ion-icon slot="end" name="arrow-dropdown"></ion-icon>
        </ion-item>

    </div>
    <div *ngIf="!isLoaded">
        <ion-row>
            <ion-col size="12">
                <div class="emptymessage">
                    <ion-spinner name="crescent"></ion-spinner>
                </div>
            </ion-col>
        </ion-row>
    </div>
</div>
<div *ngIf="!isDialog">
    <ion-select *ngIf="isLoaded" #combox [placeholder]="placeholder" [(ngModel)]="value" okText="Chọn" cancelText="Hủy"
        [disabled]="disabled" (ionChange)="ionChange(value)">
        <ion-select-option *ngFor="let item of data" [value]="item[valueAttr]">{{ item[labelAttr] }}
        </ion-select-option>
    </ion-select>
    <ion-row *ngIf="!isLoaded">
        <ion-col size="12">
            <div class="emptymessage">
                <ion-spinner name="crescent"></ion-spinner>
            </div>
        </ion-col>
    </ion-row>
</div>